$(function(){
    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-dohodov-po-vidam-deyatelnosti-en", 
        width: 280, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".1%", 
        totalFormat: ",.1f", 
        prefix: "", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Income structure by activities, rur bln", 
            layers: [ 
                    {title: "Freight transportation", value: 1089.3}, 
                    {title: "Infrastructure services", value: 96.7},
                    {title: "Locomotive hauling services", value: 12.4},
                    {title: "Passenger transportation", value: 8.1},
                    {title: "Other", value: 159.5}
            ],
            units: "RUR bln" 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-rashodov-po-vidam-deyatelnosti-en", 
        width: 280, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".1%", 
        totalFormat: ",.1f", 
        prefix: "", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Expenditures structure, rur bln", 
            layers: [ 
                    {title: "Freight transportation", value: 1017.4}, 
                    {title: "Infrastructure services", value: 118.8},
                    {title: "Locomotive hauling services", value: 9.1},
                    {title: "Passenger transportation", value: 6.2},
                    {title: "Other", value: 147.1}
            ],
            units: "RUR bln" 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#prirost-pogruzki-po-vidam-gruzov-2010-en", 
        width: 580, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".0%", 
        totalFormat: ",.2f", 
        prefix: "+", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Growth in loading by freight types, 2010", 
            layers: [ 
                    {title: "Oil", value: 24.70}, 
                    {title: "Coal", value: 10.90},
                    {title: "Ferrous metals", value: 8.00},
                    {title: "Iron ore", value: 6.50},
                    {title: "Fertilizers", value: 6.30},
                    {title: "Industrial commodities", value: 5.40},
                    {title: "Other", value: 35.80}
            ],
            units: "mln t" 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#prirost-pogruzki-po-vidam-gruzov-2011-en", 
        width: 580, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".0%", 
        totalFormat: ",.2f", 
        prefix: "+", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Growth in loading by freight types, 2011", 
            layers: [ 
                    {title: "Construction cargo", value: 15.22}, 
                    {title: "Coal", value: 9.87},
                    {title: "Iron ore", value: 9.01},
                    {title: "Other", value: 1.67}
            ],
            units: "mln t." 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#prirost-pogruzki-po-vidam-gruzov-2012-en", 
        width: 580, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".0%", 
        totalFormat: ",.1f", 
        prefix: "+", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Growth in loading by freight types, 2012", 
            layers: [ 
                    {title: "Construction cargo", value: 14.4}, 
                    {title: "Coal", value: 7.4},
                    {title: "Oil", value: 5.3},
                    {title: "Industrial commodities", value: 1.1},
                    {title: "Grain", value: 0.7},
                    {title: "Other", value: 1.5}
            ],
            units: "mln t." 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-dohodov-ot-perevozochnyh-vidov-dejatelnosti-v-2012-g-en", 
        width: 580, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".2%", 
        totalFormat: ",.1f", 
        prefix: "", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Structure of income from transportation activities in 2012", 
            layers: [ 
                    {title: "Freight transportation", value: 1089.34885}, 
                    {title: "Infrastructure services", value: 96.64065},
                    {title: "Locomotive hauling services", value: 12.42695},
                    {title: "Passenger transportation", value: 8.08355}
            ],
            units: "RUR bln" 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-dohodov-ot-perevozochnyh-vidov-dejatelnosti-v-2011-g-en", 
        width: 580, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".2%", 
        totalFormat: ",.1f", 
        prefix: "", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Structure of income from transportation activities In 2011", 
            layers: [ 
                    {title: "Freight transportation", value: 1003.07004}, 
                    {title: "Infrastructure services", value: 87.17526},
                    {title: "Locomotive hauling services", value: 11.42373},
                    {title: "Passenger transportation", value: 7.43097}
            ],
            units: "RUR bln" 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-rashodov-po-perevozkam-2011-en", 
        width: 580, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".0%", 
        totalFormat: ",.1f", 
        prefix: "", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Structure of expenditures on JSC “RZD” transportation in 2011", 
            layers: [ 
                    {title: "Payroll expenses and insurance contributions", value: 441.336}, 
                    {title: "Other material costs", value: 199.652},
                    {title: "Depreciation of fixed assets", value: 157.62},
                    {title: "Electric power", value: 105.08},
                    {title: "Fuel", value: 63.048},
                    {title: "Other expenses", value: 84.064}
            ],
            units: "RUR bln" 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-rashodov-po-perevozkam-2012-en", 
        width: 580, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".0%", 
        totalFormat: ",.1f", 
        prefix: "", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Structure of expenditures on JSC “RZD” transportation in 2012", 
            layers: [ 
                    {title: "Payroll expenses and insurance contributions", value: 460.6}, 
                    {title: "Other material costs", value: 207.27},
                    {title: "Depreciation of xed assets", value: 172.725},
                    {title: "Electric power", value: 103.635},
                    {title: "Fuel", value: 80.605},
                    {title: "Other expenses", value: 126.665}
            ],
            units: "RUR bln" 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-dohodov-po-prochih-vidov-dejatelnosti-2012-g-en", 
        width: 580, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".0%", 
        totalFormat: ",.1f", 
        prefix: "", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Structure of income from other activities in 2012, bln roubles", 
            layers: [ 
                    {title: "Services for FPC", value: 35.8}, 
                    {title: "Services for the SPC", value: 32.2},
                    {title: "Feasibility study", value: 15.2},
                    {title: "Rolling stock repairs", value: 14.0},
                    {title: "Property lease", value: 12.8},
                    {title: "Social area", value: 9.8},
                    {title: "Power transmission", value: 8.5},
                    {title: "Scrap metal", value: 7.9},
                    {title: "Other", value: 23.3}
            ],
            units: "RUR bln" 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#obucheno-rukovoditelej-gruppy-en", 
        width: 580, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".0%", 
        totalFormat: ",.0f", 
        prefix: "", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Holding company’s managers trained, people", 
            layers: [ 
                    {title: "Moscow", value: 4990}, 
                    {title: "Samara branch", value: 443},
                    {title: "St. Petersburg branch", value: 303}
            ],
            units: "People" 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-vyplat-po-realizacii-kollektivnogo-dogovora-en", 
        width: 580, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".0%", 
        totalFormat: ",.1f", 
        prefix: "", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Structure of payments under the bargaining agreement", 
            layers: [ 
                    {title: "NPF Blagosostoyanie", value: 24.48}, 
                    {title: "Labor safety costs from all sources of finance", value: 16.32},
                    {title: "Costs of maintenance of higher educational establishments of JSC “RZD”", value: 12.24},
                    {title: "VMI costs", value: 7.14},
                    {title: "Costs of maintenance of non-state educational establishments", value: 7.14},
                    {title: "Payment of a one-time merit award", value: 5.1},
                    {title: "Technological housing construction in line with \nthe investment program", value: 5.1},
                    {title: "Payments to veterans via Pochet CF", value: 4.08},
                    {title: "Travel of JSC “RZD” employees for personal needs", value: 4.08},
                    {title: "Other costs of personnel training and skills improvement", value: 4.08},
                    {title: "LCF contributions to the trade union", value: 3.06},
                    {title: "Real estate loan subsidies", value: 3.06},
                    {title: "Payment for personnel training and continuing education", value: 2.04},
                    {title: "Costs of maintenance of children recreation camps", value: 1.02},
                    {title: "Costs of maintenance of sport facilities", value: 1.02},
                    {title: "Costs of maintenance of cultural facilities", value: 1.02}
            ],
            units: "RUR bln" 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-debitorskoj-zadolzhennosti-en", 
        width: 580, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".1%", 
        totalFormat: ",.1f", 
        prefix: "", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Breakdown of receivables as of 31.12.2012, rur bln.", 
            layers: [ 
                    {title: "Advances paid", value: 31.746}, 
                    {title: "Other debitors", value: 29.304},
                    {title: "Total buyers and customers, \nincluding transportation", value: 13.024},
                    {title: "Taxes and levies", value: 6.5934},
                    {title: "Wage settlements", value: 3.256},
                    {title: "Social insurance and social security", value: 0.407}
            ],
            units: "RUR bln" 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-kreditorskoj-zadolzhennosti-en", 
        width: 580, 
        height: 300,
        type: "pie", 
        graphPadding: { 
            top: 40,
            right: 20,
            bottom: 40,
            left: 50
        },
        format: ".0%", 
        totalFormat: ",.1f", 
        prefix: "", 
        centerFontSize: 24, 
        centerColor: "#d55949", 
        sorting: "descending", 
        data: { 
            chartTitle: "Breakdown of payables as of 31.12.2012, rur bln.", 
            layers: [ 
                    {title: "Suppliers and contractors", value: 176.848}, 
                    {title: "Advance payment for transportation", value: 69.476},
                    {title: "Advances received from other transactions", value: 18.948},
                    {title: "Wage settlements", value: 15.79},
                    {title: "Other payables", value: 15.79},
                    {title: "Debts related to taxes and levies", value: 12.632},
                    {title: "Debts related to social insurance \nand social security", value: 6.316}
            ],
            units: "RUR bln" 
        }
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-passazhirooborota-po-vidam-transporta-obshhego-polzovanija-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Passenger turnover by public transport, %",
            categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "Railway",
                values: [38.1, 42.8, 43.6, 40.0, 39.1, 37.4, 32.5, 31.4, 30.5]
            }, 
            {
                title: "Road",
                values: [40.9, 35.7, 33.4, 34.5, 33.7, 34.9, 33.0, 31.1, 28.2]
            },
            {
                title: "Air",
                values: [21.0, 21.5, 23.0, 25.2, 27.2, 27.7, 34.5, 37.5, 41.3]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-gruzooborota-po-vidam-transporta-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Freight turnover structure by transport means, bln tons",
            categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "Rail",
                values: [39.5, 39.7, 40.6, 42.5, 42.8, 42.0, 42.3, 42.3, 44.0]
            }, 
            {
                title: "Pipeline",
                values: [53.0, 52.9, 52.1, 50.1, 49.8, 50.5, 50.1, 49.3, 48.5]
            },
            {
                title: "Road",
                values: [4.0, 4.2, 4.2, 4.3, 4.3, 4.0, 4.2, 4.5, 4.9]
            },
            {
                title: "Other",
                values: [3.5, 3.2, 3.1, 3.1, 3.1, 3.5, 3.4, 2.9, 2.6]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-gruzhenogo-gruzooborota-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Loaded freight turnover structure,%",
            categories: ["2012", "2011", "2010", "2009"],
            layers: [{
                title: "Domestic",
                values: [44.1, 45.0, 45.3, 44.6]
            }, 
            {
                title: "Import",
                values: [4.9, 5.0, 4.6, 3.5]
            },
            {
                title: "Export",
                values: [48.4, 47.6, 47.9, 49.9]
            },
            {
                title: "Transit",
                values: [2.6, 2.4, 2.2, 2.0]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#doli-obemov-po-klassam-gruzov-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Volume share by freight class,%",
            categories: ["2012", "2011", "2010", "2009"],
            layers: [{
                title: "Class 1",
                values: [59.9, 59.1, 58.2, 58.8]
            }, 
            {
                title: "Class 2",
                values: [27.5, 27.7, 28.5, 28.3]
            },
            {
                title: "Class 3",
                values: [12.6, 13.3, 13.2, 12.6]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#doli-dohodov-po-klassam-gruzov-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Income share by freight class,%",
            categories: ["2012", "2011", "2010", "2009"],
            layers: [{
                title: "Class 1",
                values: [33.9, 30.6, 31.2, 34.1]
            }, 
            {
                title: "Class 2",
                values: [42.1, 42.8, 42.2, 40.4]
            },
            {
                title: "Class 3",
                values: [24.0, 26.6, 26.6, 25.5]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-rossijskogo-rynka-operirovanija-gruzovymi-vagonami-po-obemam-perevozok-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Structure of the russian freight car handling market in terms of transportation volume, bln t-km",
            categories: ["2003", "2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "JSC “RZD” (excluding affiliates)",
                values: [71.3, 68.5, 66.0, 64.0, 60.3, 49.7, 33.8, 25.5, 10.2, 5.4]
            }, 
            {
                title: "Subsidiaries and affiliates of JSC “RZD”",
                values: [28.7, 31.5, 34.0, 35.0, 38.5, 41.0, 46.1, 50.6, 59.9, 78.6]
            },
            {
                title: "Other owners",
                values: [0, 0, 0, 1.0, 1.2, 9.3, 20.1, 23.9, 30.7, 16.0]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-parka-gruzovyh-vagonov-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Structure of the freight car fleet, th. units",
            categories: ["2012", "2011", "2010", "2009"],
            layers: [{
                title: "“RZD” Holding Company",
                values: [22.4, 44.7, 50.5, 58.1]
            }, 
            {
                title: "Independent private owners",
                values: [77.6, 55.3, 49.5, 41.9]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-parka-tjagovogo-podvizhnogo-sostava-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Traction rolling stock structure, pcs.",
            categories: ["2012", "2011", "2010", "2009"],
            layers: [{
                title: "Passenger electric locomotives",
                values: [2543, 2483, 2473, 2409]
            }, 
            {
                title: "Passenger diesel locomotives",
                values: [578, 562, 547, 536]
            },
            {
                title: "Freight electric locomotives",
                values: [7837, 7691, 7535, 7414]
            },
            {
                title: "Diesel freight locomotives",
                values: [3556, 3550, 3656, 3750]
            },
            {
                title: "Shunting locomotives",
                values: [6104, 6106, 6016, 5989]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#kolichestvo-passazhirov-zheleznodorozhnogo-transporta-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Number of railway passengers, millions of people",
            categories: ["2012", "2011", "2010", "2009", "2008"],
            layers: [{
                title: "Suburban traffic",
                values: [89.0, 88.4, 87.9, 89.7, 89.5]
            }, 
            {
                title: "Long-distance traffic",
                values: [11.0, 11.6, 12.1, 10.3, 10.5]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#passazhirooborot-zheleznodorozhnogo-transporta-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Passenger turnover within railroad transport, billions passenger-kilometers",
            categories: ["2012", "2011", "2010", "2009", "2008"],
            layers: [{
                title: "Long-distance traffic",
                values: [78.2, 79.0, 79.8, 74.8, 73.5]
            }, 
            {
                title: "Suburban traffic",
                values: [21.8, 21.0, 20.2, 25.2, 26.5]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#protjazhennost-uchastkov-po-ogranichivajushhim-jelementam-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Length of sections by limiting elements, km",
            categories: ["2005", "2006", "2007", "2008", "2009", "2010", "2011"],
            layers: [{
                title: "Hauls",
                values: [3729, 3357, 2877, 3940, 3027, 3552, 2479]
            }, 
            {
                title: "Stations",
                values: [3155, 1997, 1697, 665, 621, 1021, 560]
            },
            {
                title: "Power supply",
                values: [2593, 3442, 3887, 1151, 1850, 1809, 2810]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });


    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#analiz-sostojanija-sistem-jelektricheskoj-centralizacii-po-srokam-sluzhby-na-seti-zheleznyh-dorog-en",
        width: 650,
        height: 200,
        type: "stack",
        data: {
            chartTitle: "Analysis of electric interlocking systems by their serviceable life in the rail network, th. items",
            categories: ["2012", "2011"],
            layers: [{
                title: "Less than 15 years",
                values: [23.0, 24.2]
            }, 
            {
                title: "16-20 years",
                values: [6.2, 6.0]
            },
            {
                title: "21-25 years",
                values: [10.2, 11.6]
            },
            {
                title: "26-30 years",
                values: [15.2, 14.5]
            },
            {
                title: "31-35 years",
                values: [15.6, 15.4]
            },
            {
                title: "36-40 years",
                values: [15.3, 14.9]
            },
            {
                title: "More than 40 years",
                values: [14.7, 13.4]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#uslugi-infrastruktury-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Infrastructure services",
            categories: ["2012", "2011"],
            layers: [{
                title: "Freight transportation",
                values: [6, 1]
            }, 
            {
                title: "Suburban service",
                values: [27.3, 25.6]
            },
            {
                title: "Long-distance service",
                values: [63.4, 60.6]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });


    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#kolichestvo-obrashhenij-v-otnoshenii-postavljaemoj-produkcii-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Number of product claims, pcs",
            categories: ["2012", "2011"],
            layers: [{
                title: "Quality claims",
                values: [328, 414]
            }, 
            {
                title: "Quantity claims",
                values: [82, 138]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-dohodov-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Revenue structure",
            categories: ["2012", "2011"],
            layers: [{
                title: "Freight transportation",
                values: [1089.3, 1003.1]
            }, 
            {
                title: "Infrastructure services",
                values: [96.7, 87.2]
            },
            {
                title: "Locomotive hauling services",
                values: [12.4, 11.4]
            },
            {
                title: "Passenger transportation",
                values: [8.1, 7.4]
            },
            {
                title: "Income from other activities",
                values: [159.5, 179.2]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-rashodov-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Expenditure structure",
            categories: ["2012", "2011"],
            layers: [{
                title: "Freight transportation",
                values: [1017.4, 933.2]
            }, 
            {
                title: "Infrastructure services",
                values: [118.8, 102.2]
            },
            {
                title: "Locomotive hauling services",
                values: [9.2, 8.4]
            },
            {
                title: "Passenger transportation",
                values: [6.2, 7.0]
            },
            {
                title: "Income from other activities",
                values: [147.1, 164.7]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#grafik-pogashenija-zaemnyh-objazatelstv-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Schedule for fulfilling obligations, rur bln1",
            categories: ["2010", "2011", "2012", "2013", "2014", "2015", "2016", "2017", "2018", "2019", "2020", "2022", "2031"],
            layers: [{
                title: "Ruble bonds offer",
                values: [27, 31, 10, 15, 15, 15, 30, 0, 10, 0, 0, 10, 0]
            }, 
            {
                title: "Planned repayment of borrowed funds",
                values: [83, 55, 153, 53, 56, 31, 15, 47, 1, 39, 1, 43, 32]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#struktura-dolgovogo-portfelja-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Loan portfolio structure, rur bn",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "Ruble bonds",
                values: [41, 44, 63]
            }, 
            {
                title: "Eurobonds",
                values: [38, 21, 15]
            },
            {
                title: "Syndicated loans",
                values: [1, 3, 8]
            },
            {
                title: "Project financing",
                values: [6, 8, 11]
            },
            {
                title: "Bilateral bank loans",
                values: [14, 24, 3]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#dinamika-kreditnogo-portfelja-po-srokam-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Evolution of JSC “RZD” loan portfolio, rur bln.1 by term",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "Up to 1 year",
                values: [16, 39, 28]
            }, 
            {
                title: "From 1 to 3 years",
                values: [29, 32, 30]
            },
            {
                title: "Over 3 years",
                values: [55, 29, 42]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#dinamika-kreditnogo-portfelja-po-valjutam-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Evolution of JSC “RZD” loan portfolio, rur bln. by currency",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "Currency",
                values: [39, 30, 30]
            }, 
            {
                title: "Rubles",
                values: [61, 70, 70]
            },
            ],
            noteMarks: ["*"],
            notes: ["Information based on the management report of JSC “RZD” (including offers and excluding accrued interest)"]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#dinamika-proizvodstvennogo-travmatizma-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Accident rate trends",
            categories: ["2003", "2004","2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "total injured",
                values: [1123, 1049, 922, 757, 751, 649, 620, 534, 418, 358]
            }, 
            {
                title: "including fatalities",
                values: [146, 106, 98, 96, 95, 80, 78, 73, 68, 50]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#chislennost-rabotnikov-po-kategorijam-personala-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Number of JSC “RZD” employees by grades, th. people",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "Blue collar",
                values: [67.8, 68.1, 68.6]
            }, 
            {
                title: "Managers",
                values: [6.9, 6.9, 6.9]
            },
            {
                title: "White collar",
                values: [3.4, 3.5, 3.7]
            },
            {
                title: "Specialists",
                values: [21.9, 21.5, 21.9]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#dvizhenie-personala-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Staff rotation, th. people",
            categories: ["2010", "2011", "2012"],
            layers: [{
                title: "Dismissed, people",
                values: [213.9, 151.2, 119.0]
            }, 
            {
                title: "Employed, people",
                values: [111.6, 117.9, 111.9]
            },
            {
                title: "Transferred within the Company, people",
                values: [476.7, 516.7, 436.5]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#vozrastnaja-struktura-spisochnogo-sostava-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Payroll age pattern, %, th. people",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "under 30",
                values: [20.1, 28.0, 26.9]
            }, 
            {
                title: "31-35",
                values: [21.6, 13.2, 13.3]
            },
            {
                title: "36-45",
                values: [24.9, 24.6, 24.6]
            },
            {
                title: "46-50",
                values: [12.2, 13.1, 14.4]
            },
            {
                title: "over 50",
                values: [21.2, 21.1, 20.8]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#gendernyj-sostav-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Gender composition,%, th. people",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "Women",
                values: [30.3, 30.4, 30.8]
            }, 
            {
                title: "Men",
                values: [69.7, 69.6, 69.2]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#uroven-obrazovanija-sotrudnikov-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Education level of employees,%",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "Share of employees with higher education",
                values: [23.4, 22.2, 20.9]
            }, 
            {
                title: "Share of employees with intermediate vocational education",
                values: [25.9, 25.7, 25.5]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#podgotovka-i-povyshenie-kvalifikacii-rabochih-kadrov-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Personnel training, education and skill improvement, th. people",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "Trained",
                values: [63.1, 60.0, 54.7]
            }, 
            {
                title: "Improved skills",
                values: [152.4, 140.0, 132.7]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#chislo-detej-ozdorovlennyh-na-chernomorskom-poberezhe-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Number of children who stayed at health resorts at the black sea coast, th. people",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "number of children who stayed at health \nresorts of JSC “RZD” at the Black Sea coast",
                values: [4.8, 4.3, 6.0]
            }, 
            {
                title: "number of children who stayed at third \nparty health resorts at the Black Sea coast",
                values: [8.5, 9.1, 8.0]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#srednij-razmer-dopolnitelnoj-pensii-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Average supplementary pension, rur",
            categories: ["2004","2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "Average non-state pension (without increase)",
                values: [1450.0, 1652.0, 1768.0, 2251.9, 2584.8, 3332.6, 3869.8, 4470.1, 4774.1]
            }, 
            {
                title: "Amount of increase in annual pensions",
                values: [0, 233.0, 221.0, 153.1, 152.0, 166.5, 159.7, 290.4, 346.4]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#kreditorskaja-zadolzhennost-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Payables, rur bln.",
            categories: ["as of 31.12.2012", "as of 30.09.2012", "as of 30.06.2012", "as of 31.12.2011"],
            layers: [{
                title: "Payables to suppliers and contractors",
                values: [177.5, 126.0, 114.7, 152.5]
            }, 
            {
                title: "Other payables",
                values: [138.3, 111.5, 116.3, 146.9]
            },
            {
                title: "Turnover period, days",
                values: [34.4, 45.5, 51.3, 38.1]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#jekspluatacionnaja-dlina-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Length of railways in operation, th. km",
            categories: ["European Union","USA (1cl.)", "China", "Russia", "India", "Canada", "Japan (Japanese National Railways)"],
            layers: [{
                title: "",
                values: [215.1, 194.1, 91.2, 85.2, 64.0, 36.3, 20.1]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#park-lokomotivov-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Locomotive fleet, number",
            categories: ["European Union","USA", "Russia", "China" ,"India"],
            layers: [{
                title: "",
                values: [24583, 23893, 20227, 17825, 8286]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#gruzooborot-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Cargo turnover, billion tkm",
            categories: ["China", "USA", "Russia", "India", "European Union"],
            layers: [{
                title: "",
                values: [2562.6, 2524.6, 2127.2, 600.5, 325.6]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#protjazhennost-jelektrificirovannyh-linij-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Length of electrified lines, th. km",
            categories: ["European Union", "China", "Russia", "India", "Japan (Japanese National Railways)",],
            layers: [{
                title: "",
                values: [112.1, 48, 43.2, 18.9, 12.2]
            }, 
            ],
            noteMarks: ["2"],
            notes: ["Data related to China are given for 2012"],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#passazhirooborot-mlrd-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Passenger turnover, billion passenger-km",
            categories: ["India", "China", "European Union", "Japan", "Russia"],
            layers: [{
                title: "",
                values: [903.5, 815.7, 397.8, 244.6, 139.8]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#park-passazhirskih-vagonov-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Passenger car fleet, number",
            categories: ["European Union", "China", "India", "Russia", "Japan (Japanese National Railways)"],
            layers: [{
                title: "",
                values: [94598, 47436, 45095, 26799, 23937]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#tempy-rosta-mirovoj-torgovli-en",
        width: 650,
        height: 320,
        type: "group",
        orientation: "vertical",
        data: {
            chartTitle: "Global trade growth rate in 2000-2012,% versus previous year",
            categories: ["2000", "2001", "2002", "2003", "2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "",
                values: [11.9, 0.3, 4.0, 5.8, 10.8, 7.7, 9.2, 8.0, 3.1, -10.6, 12.6, 6.0, 2.5]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#prirost-makrojekonomicheskih-pokazatelej-rossii-en",
        width: 650,
        height: 420,
        type: "stack",
        orientation: "horizontal",
        data: {
            chartTitle: "Performance against russian macroeconomic indicators in 2011-2012,% versus previous year",
            categories: ["GDP", "ndustrial output", "Capital investments", "Agricultural produce", "Retail turnover", "Export", "Import", "Consumer inflation", "Industry prices", "Actual disposable income", "Actual wage increases"],
            layers: [{
                title: "2011",
                values: [4.3, 4.7, 10.8, 23.0, 7.0, 31.3, 29.7, 6.1, 12.0, 0.5, 2.8]
            }, 
            {
                title: "2012",
                values: [3.4, 2.6, 6.6, 4.7, 5.9, 2.4, 5.4, 6.6, 5.1, 4.4, 8.4]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#izmenenie-transportnoj-sostavljajushhej-pri-perevozke-gruzov-en",
        width: 650,
        height: 440,
        type: "stack",
        orientation: "horizontal",
        data: {
            chartTitle: "Change in the transport component cost of freight transportation in 2012 \n(based on the JSC “RZD” freight car tariff)",
            categories: ["Power station coal", "Baking coal", "Crude oil", "Diesel fuel", "Oil fuel", "Iron ore", "Cast iron", "Aluminium", "Round timber", "Cement", "Nitrogen fertilizers", "Grain"],
            layers: [{
                title: "2003",
                values: [32.3, 23.1, 21.7, 8.0, 25.6, 24.0, 9.2, 3.6, 29.7, 12.7, 10.8, 11.9]
            }, 
            {
                title: "2012",
                values: [34.0, 19.3, 16.5, 6.6, 13.0, 15.2, 8.3, 5.5, 29.0, 14.9, 10.4, 9.4]
            }, 
            ],
            noteMarks: ["1"],
            notes: ["Change in the transport cost component level in December 2012 versus 2003"],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#dinamika-izmenenij-gruzooborota-po-vidam-transporta-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Changes of freight turnover by transport means, 2012 versus 2011,%",
            categories: ["Road", "Rail", "Air", "Pipeline", "Water"],
            layers: [{
                title: "",
                values: [11.3, 4.4, 2.2, 1.0, 8.1]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#gruzooborot-s-uchetom-porozhnego-probega-vagonov-inyh-sobstvennikov-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Freight turnover (including empty mileage of private and leased rolling stock), bln t-km",
            categories: ["2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "freight turnover, bln t-km",
                values: [2044, 2148, 2313, 2424, 2271, 2502, 2705, 2783]
            }, 
            {
                title: "freight turnover growth rate, % versus previous year",
                values: [3.6, 5.1, 7.7, 4.8, 6.3, 10.1, 8.1, 2.9]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#gruzooborot-bez-ucheta-porozhnego-probega-vagonov-inyh-sobstvennikov-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Freight turnover (excluding empty mileage of private and leased rolling stock), bln t-km",
            categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "freight turnover (excluding empty mileage of \nprivate and leased rolling stock), bln t-km",
                values: [1802, 1858, 1951, 2090, 2116, 1865, 2011, 2128, 2222]
            }, 
            {
                title: "freight turnover growth rate, % versus previous year",
                values: [8.0, 3.1, 5.0, 7.2, 1.2, 11.9, 7.8, 5.8, 4.4]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });


    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#dinamika-obemov-pogruzki-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Loading volume trends 2004-2012",
            categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "Absolute loading volume, mln t",
                values: [1221, 1273, 1311, 1344, 1304, 1108, 1206, 1242, 1271.9]
            }, 
            {
                title: "Loading growth rate, % versus previous year",
                values: [5.2, 4.3, 3.0, 2.5, 3.5, 15.0, 8.8, 3.0, 2.4]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#dinamika-srednesutochnoj-pogruzki-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Daily average transportation trends in 2012, th. tons",
            categories: ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"],
            layers: [{
                title: "Daily average loading, th. t",
                values: [3275, 3343, 3483, 3546, 3525, 3553, 3518, 3515, 3544, 3586, 3540, 3273]
            }, 
            {
                title: "Change in the daily average loading, % versus previous year",
                values: [4.7, 0.7, 3.2, 2.9, 2.9, 2.9, 2.9, 3.4, 3.6, 1.2, 1.5, 3.8]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });


    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#dolja-razlichnyh-kategorij-gruzov-v-obshhej-pogruzke-en",
        width: 580,
        height: 400,
        type: "stack",
        orientation: "horizontal",
        data: {
            chartTitle: "Share of various freight categories in total loading,%",
            categories: ["Coal", "Oil", "Iron ore", "Ferrous metals", "Timber cargo", "Construction cargo", "Fertilizers"],
            layers: [{
                title: "2010",
                values: [23.7, 21.0, 8.5, 6.0, 3.4, 11.8, 3.8]
            }, 
            {
                title: "2011",
                values: [23.9, 20.1, 8.9, 5.9, 3.3, 12.7, 3.7]
            },
            {
                title: "2012",
                values: [24.2, 20.3, 8.7, 5.8, 2.9, 14.2, 3.6]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#izmenenija-rossijskogo-parka-gruzovyh-vagonov-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Changes in the russian freight car fleet, th. units",
            categories: ["Open cars", "Oil cars", "Platforms", "Open", "Other"],
            layers: [{
                title: "2009",
                values: [368, 240, 66, 75, 236]
            }, 
            {
                title: "2010",
                values: [410, 250, 65, 76, 216]
            },
            {
                title: "2011",
                values: [474, 266, 56, 72, 215]
            },
            {
                title: "2012",
                values: [530, 278, 55, 70, 218]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#obnovlenie-parka-tjagovogo-podvizhnogo-sostava-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Traction rolling stock renewal, pcs.",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [532, 453, 393]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#otremontirovano-lokomotivov-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Locomotives repaired, pcs.",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [2056, 2125, 1928]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#protjazhennost-linij-oborudovannyh-avtoblokirovkoj-i-dispetcherskoj-centralizaciej-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Length of lines equipped with automatic block signal systems and centralized traffic control",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "Length, km",
                values: [60922, 61896, 62295]
            }, 
            {
                title: "Share of the operational length of railways, %",
                values: [71.7, 72.8, 73.1]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#kolichestvo-narushenij-bezopasnosti-dvizhenija-poezdov-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Number of railway traffic safety incidents and emergencies",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [19, 19, 26]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#dohody-ot-prodazhi-nedvizhimosti-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Revenues from the sales of JSC Russian Railways’ real estate, rur bln",
            categories: ["2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "",
                values: [0.24, 0.84, 11.96, 5.53, 1.36, 1.38, 1.31, 1.80]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#dohody-ot-sdachi-nedvizhimogo-imushhestva-kompanii-v-arendu-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Revenues from lease of the company’s real estate, rur bln",
            categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "",
                values: [3.5, 3.6, 4.4, 5.8, 6.1, 7.9, 7.4, 7.3, 7.9]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#dohody-ot-perevozok-za-period-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Income from transportation for 2007–2012",
            categories: ["2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "",
                values: [884.3, 1014.5, 956.8, 1079.3, 1109.1, 1206.5]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#analiz-rosta-sebestoimosti-perevozok-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Analysis of transportation cost development, CPI, PPI year-on-year,%",
            categories: ["2010", "2011", "2012"],
            layers: [{
                title: "CPI",
                values: [6.9, 8.4, 5.1]
            }, 
            {
                title: "PPI of industrial products",
                values: [14.9, 17.3, 6.8]
            },
            {
                title: "Transportation cost development (kop./10 virt. tkm) in comparable conditions",
                values: [5.0, 6.9, 3.2]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#dinamika-dohodov-ot-prochih-vidov-dejatelnosti-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Dynamics of income from other activities, bln roubles",
            categories: ["Act. 2011", "Target 2011 (in comparable conditions)", "Target 2012", "Act. 2012"],
            layers: [{
                title: "Income",
                values: [179.2, 149.1, 153.2, 159.5]
            },
            {
                title: "Expenditures",
                values: [164.7, 138.7, 141.2, 147.1]
            }, 
            {
                title: "Profit",
                values: [14.5, 10.4, 12.0, 12.5]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#pribyl-ot-prodazhi-akcij-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Profit from sale of shares, bln roubles",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [33.9, 66.3, 6.9]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });


    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#pribyl-ot-vnesenija-imushhestva-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Profit from property introduction, bln roubles",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [1.5, 26.4, 14.1]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#bjudzhetnoe-finansirovanie-i-subsidii-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Budget financing and subsidies, bln roubles",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [23.2, 1.9, 54.2]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#kursovye-raznicy-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Exchange differences, bln roubles",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [4.5, -6.4, 0.9]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#rentabelnost-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Return on equity roe",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [0.4, 0.5, 2.5]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#obshhij-dolg-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Total debt/EBITDA",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [1.6, 1.4, 0.92]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#rentabelnost-aktivov-ROA-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Return on assets, ROA",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [0.3, 0.4, 2.1]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#rentabelnost-dejatelnosti-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Profitability of activities",
            categories: ["2009", "2010", "2011", "2012"],
            layers: [{
                title: "Profitability of sales",
                values: [1.4, 6.3, 1.3, 1.0]
            },
            {
                title: "Return on net profit",
                values: [5.0, 9.3, 5.6, 4.9]
            },  
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#finansovyj-rychag-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Financial leverage",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [0.12, 0.11, 0.10]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.2f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#rashody-na-meroprijatija-po-ohrane-truda-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Labor safety costs",
            categories: ["2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "labor safety costs per employee, RUR",
                values: [5500, 5800, 6400, 7600, 7600, 11500, 11117, 14700]
            },
            {
                title: "labor safety costs, RUR mln",
                values: [6417, 5844, 7582, 8631, 7761, 9526, 12800, 12676]
            },  
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#srednij-vozrast-sotrudnikov-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Average age of employees, years",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [39.3, 39.5, 39.7]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#uroven-tekuchesti-personala-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Staff turnover level,%",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [8.3, 8.8, 9.0]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#ukomplektovannost-shtata-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Staffing level,%",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [97.7, 98.1, 98.2]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#obshhee-kolichestvo-nagrazhdennyh-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Total number of awardees",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [9642, 8580, 7745]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#srednemesjachnaja-zarabotnaja-plata-rabotnikov-zanjatyh-vo-vseh-vidah-dejatelnosti-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Average monthly salary of employees engaged in all activities, rur.",
            categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "average monthly salary of employees, RUR",
                values: [10331, 12081, 14043, 16932, 21738, 24604, 28930, 33106, 35697]
            },
            {
                title: "wage increase in real terms (adjusted for inflation)",
                values: [0, 3.8, 6.0, 10.6, 12.5, 1.3, 10.0, 5.6, 2.3]
            },  
            ],
            noteMarks: ["1"],
            notes: ["Gain is specified in comparable conditions"],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#obuchenie-po-programmam-mva-v-rossijskih-biznes-shkolah-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "MBA program training in Russian business schools, people",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [160, 106, 119]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#kratkosrochnoe-povyshenie-kvalifikacii-s-vyezdom-za-rubezh-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Short-term advanced training abroad, people",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [586, 462, 235]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });


    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#ochnoe-obuchenie-anglijskomu-nemeckomu-i-francuzskomu-jazykam-na-baze-english-first-i-MIIT-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "On-site learning of english, german and french based on English First and MIIt, people",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [114, 123, 107]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#distancionnoe-obuchenie-anglijskomu-jazyku-na-baze-english-first-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Distance learning of english based on English First, people",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [1000, 650, 20]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });


    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#obucheno-rukovoditelej-gruppy-rzhd-chel-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Holding company’s managers trained, people",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [5736, 2380, 1572]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#vydacha-subsidiruemyh-ipotechnyh-kreditov-i-bezvozmezdnyh-ssud-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Granting of tandem loans and non refundable subsidies, people",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [2522, 2514, 2761]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#specializirovannyj-zhiloj-fond-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Special-purpose housing stock of JSC “RZD”, m",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [821.4, 771.7, 701.8]
            }, 
            ],
            noteMarks: ["2"],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#investicii-v-formirovanie-specializirovannogo-zhilogo-fonda-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Investment in special-purpose housing stock of JSC “RZD”, rur mln",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [2871, 3325, 3284]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.0f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#chislo-detej-otdohnuvshih-v-detskih-ozdorovitelnyh-lagerjah-dorozhnogo-podchinenija-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Number of children who visited children recreation camps owned by road authorities, th. people",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [48.8, 47.4, 47.5]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });


    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#kompensacija-zatrat-na-detskuju-ozdorovitelnuju-kampaniju-ot-subektov-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Compensation of costs of the children’s health improvement campaign by Russian Constituents, rur th. per child",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [4.01, 3.55, 2.51]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#chislo-uchastnikov-vkladchikov-pensionnogo-fonda-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Number of contributors to pension funds, people",
            categories: ["2012", "2011", "2010"],
            layers: [{
                title: "",
                values: [654.4, 707.7, 650.6]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#chislo-ljudej-poluchajushhih-pensiju-en",
        width: 650,
        height: 320,
        type: "stack",
        orientation: "vertical",
        data: {
            chartTitle: "Number of people receiving pensions, people",
            categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
            layers: [{
                title: "",
                values: [70.0, 94.0, 126.2, 147.6, 170.3, 197.4, 220.1, 237.9, 250.0]
            }, 
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#debitorskaja-zadolzhennosti-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Receivables, rur bln.",
            categories: ["as of 31.12.2012", "as of 30.09.2012", "as of 30.06.2012", "as of 31.12.2011"],
            layers: [{
                title: "Total receivables",
                values: [12.8, 30.6, 30.2, 19.0]
            }, 
            {
                title: "Sales receivable",
                values: [68.6, 70.3, 83.5, 67.0]
            },
            {
                title: "Sales turnover period, days",
                values: [3.0, 6.1, 5.8, 4.7]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });

    buildChart({
        thousandSeparator: ",",
        decimalSeparator: ".",
        container: "#kojefficienty-likvidnosti-en",
        width: 650,
        height: 320,
        type: "stack",
        data: {
            chartTitle: "Liquidity ratios",
            categories: ["2009", "2010", "2011", "2012"],
            layers: [{
                title: "Absolute liquidity ratio",
                values: [0.1, 0.2, 0.4, 0.3]
            }, 
            {
                title: "Quick assets ratio",
                values: [0.4, 0.5, 0.6, 0.4]
            },
            {
                title: "Current ratio",
                values: [0.5, 0.7, 0.8, 0.6]
            },
            ],
            notes: [""],
            source: [""]
        },
        format: ",.1f",
        modalContainer: ".big-chart"
    });
});