(function(){

  buildChart({
    container: "#some-pie-chart", // селектор контейнера, который выглядит как
    // <div class="chart" id="some-pie-chart"><img class="chart-image" alt=""></div>
    width: 320, // ширина графика
    height: 300, //высота графика (без учета легенды и заголовка, только сам график)
    // при этом для кругового графика в качестве значени580ты
    // будет выбрано минимальное значение из ширины и высоты
    type: "pie", // тип графика, pie - круговвя диаграмма
    graphPadding: { // отступы графика сверху - от заголовка, снизу - от легенды, а также слева и справа
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".0%", // формат данных для значений в процентах, .0 означает точность значения - не выводить десятичные доли ()
    totalFormat: ",.2f", // формат данных в центре круга ',' -  пробел между рязрядами, '.2' - 2 десятичных дробных знака
    prefix: "", // префикс для значения в центре (+/-/ничего)
    centerFontSize: 24, // размер шрифта в центре
    centerColor: "#d55949", // цвет шрифта в центре
    sorting: "descending", // сортировка данных - 'descending' по убыванию, 'ascending' по возрастанию
    data: { // данные
        chartTitle: "Структура акционерного капитала Общества на 09.07.2012", // заголовок, \n для переноса строки
        layers: [ // набор категорий
                {title: "«Холдинг МРСК»", value: 192.48}, // название категории, значение
                {title: "Energyo Solutions Russia (Cyprus) \nLimited", value: 123.65},
                {title: "Energosouz Holdings Limited", value: 225.65},
                {title: "The Bank of New York Mellon", value: 174.19},
                {title: "«ГМК «Норильский никель»", value: 21.56},
                {title: "Memphito Limited", value: 340.57},
                {title: "Прочие юр.лица", value: 14.09},
                {title: "Прочие физ.лица", value: 17.71}
        ],
        noteMarks: ["1","2"],
        notes: ["some note text", "another note text"],
        units: "млрд руб." // единицы измерения
    }
});

buildChart({
    container: "#revenue-structure-company-2012-in-context-branches",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Структура выручки Общества в 2012 г. в разрезе филиалов",
        categories: ["Архэнерго", "Вологдаэнерго", "Карелэнерго", "Колэнерго", "Комиэнерго", "Новгородэнерго", "Псковэнерго"],
        layers: [{
            title: "ПП",
            values: [0, 2364, 1631, 546, 1077, 777, 0]
        }, 
        {
            title: "ТСО",
            values: [151, 1198, 819, 973, 428, 440, 0]
        },
        {
            title: "ЭСК",
            values: [0, 839, 14, 674, 1168, 459, 72]
        },
        {
            title: "ГП",
            values: [3539, 1779, 845, 2128, 3347, 1294, 2714]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#ebitda",
    width: 650,
    height: 180,
    graphPadding: {top: 20, left: 0, bottom: 5, right: 80},
    legendType: "inline",
    type: "stack",
    orientation: "horizontal",
    data: {
        chartTitle: "Динамика основных финансово-экономических показателей за 2011-2013 гг., млн руб.",
        categories: [2011, 2012, 2013],
        layers: [
            {
                title: "Some",
                values: [26873, 27243, 27794]
            },
            {
                title: "EBIT\nDA",
                values: [3976, 3926, 5027]
            }

        ],
        total: {
            title: "Total",
            values: [30849, 31169, 32821]
        },
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#dynamics-and-structural-changes-of-receivables",
    width: 650,
    height: 180,
    type: "stack",
    data: {
        chartTitle: "Динамика и структурные изменения дебиторской задолженности, млн руб.",
        categories: ["на 31.12.10", "на 31.12.11", "на 31.12.12"],
        layers: [{
            title: "Покупатели и \nзаказчики",
            values: [3629, 3567, 5055]
        }, 
        {
            title: "Авансы выданные",
            values: [82, 106, 94]
        },
        {
            title: "Прочие дебиторы",
            values: [818, 773, 866]
        }
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#dynamics-and-structural-change-in-accounts-payable",
    width: 650,
    height: 200,
    type: "stack",
    legendType: "inline",
    orientation: "vertical",
    format: ",.0f",
    modalContainer: ".big-chart",
    data: {
        chartTitle: "Динамика и структурные изменения кредиторской задолженности, млн руб.",
        categories: ["на 31.12.10", "на 31.12.11", "на 31.12.12"],
        layers: [{
            title: "Поставщики и подрядчики",
            values: [2076, 2399, 2104]
        }, 
        {
            title: "Задолженность по оплате \nтруда перед персоналом",
            values: [270, 298, 296]
        },
        {
            title: "Задолженность перед бюджетом и внебюджетными фондами",
            values: [600, 373, 309]
        },
        {
            title: "Авансы полученные",
            values: [1783, 1868, 1519]
        },
        {
            title: "Прочие кредиторы",
            values: [426, 383, 462]
        },
        ],
        notes: [""],
        source: [""]
    }
});

buildChart({
    container: "#struktura-dohodov-po-vidam-deyatelnosti", 
    width: 280, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".1%", 
    totalFormat: ",.1f", 
    prefix: "", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Структура доходов \nпо видам деятельности, млрд руб", 
        layers: [ 
                {title: "Грузовые перевозки", value: 1089.3}, 
                {title: "Услуги инфраструктуры", value: 96.7},
                {title: "Услуги локомотивной тяги", value: 12.4},
                {title: "Пассажирские перевозки", value: 8.1},
                {title: "Прочее", value: 159.5}
        ],
        units: "млрд руб." 
    }
});

buildChart({
    container: "#struktura-rashodov-po-vidam-deyatelnosti", 
    width: 280, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".1%", 
    totalFormat: ",.1f", 
    prefix: "", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Структура расходов \nпо видам деятельности, млрд руб", 
        layers: [ 
                {title: "Грузовые перевозки", value: 1017.4}, 
                {title: "Услуги инфраструктуры", value: 118.8},
                {title: "Услуги локомотивной тяги", value: 9.1},
                {title: "Пассажирские перевозки", value: 6.2},
                {title: "Прочее", value: 147.1}
        ],
        units: "млрд руб." 
    }
});

buildChart({
    container: "#prirost-pogruzki-po-vidam-gruzov-2010", 
    width: 580, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".0%", 
    totalFormat: ",.2f", 
    prefix: "+", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Прирост погрузки по видам грузов, 2010", 
        layers: [ 
                {title: "Нефтяные", value: 24.70}, 
                {title: "Каменный уголь", value: 10.90},
                {title: "Черные металлы", value: 8.00},
                {title: "Железная руда", value: 6.50},
                {title: "Удобрения", value: 6.30},
                {title: "Промсырье", value: 5.40},
                {title: "Остальные", value: 35.80}
        ],
        units: "млн т." 
    }
});

buildChart({
    container: "#prirost-pogruzki-po-vidam-gruzov-2011", 
    width: 580, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".0%", 
    totalFormat: ",.2f", 
    prefix: "+", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Прирост погрузки по видам грузов, 2011", 
        layers: [ 
                {title: "Строительные грузы", value: 15.22}, 
                {title: "Каменный уголь", value: 9.87},
                {title: "Железная руда", value: 9.01},
                {title: "Остальные", value: 1.67}
        ],
        units: "млн т." 
    }
});

buildChart({
    container: "#prirost-pogruzki-po-vidam-gruzov-2012", 
    width: 580, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".0%", 
    totalFormat: ",.1f", 
    prefix: "+", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Прирост погрузки по видам грузов, 2012", 
        layers: [ 
                {title: "Строительные грузы", value: 14.4}, 
                {title: "Каменный уголь", value: 7.4},
                {title: "Нефтяные", value: 5.3},
                {title: "Промсырье", value: 1.1},
                {title: "Зерно", value: 0.7},
                {title: "Остальные", value: 1.5}
        ],
        units: "млн т." 
    }
});

buildChart({
    container: "#struktura-dohodov-ot-perevozochnyh-vidov-dejatelnosti-v-2012-g", 
    width: 580, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".2%", 
    totalFormat: ",.1f", 
    prefix: "", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Структура доходов от перевозочных видов деятельности в 2012 г.", 
        layers: [ 
                {title: "Грузовые перевозки", value: 1089.34885}, 
                {title: "Предоставление услуг инфраструктуры", value: 96.64065},
                {title: "Предоставление услуг локомотивной тяги", value: 12.42695},
                {title: "Пассажирские перевозки", value: 8.08355}
        ],
        units: "млрд руб." 
    }
});

buildChart({
    container: "#struktura-dohodov-ot-perevozochnyh-vidov-dejatelnosti-v-2011-g", 
    width: 580, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".2%", 
    totalFormat: ",.1f", 
    prefix: "", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Структура доходов от перевозочных видов деятельности в 2011 г.", 
        layers: [ 
                {title: "Грузовые перевозки", value: 1003.07004}, 
                {title: "Предоставление услуг инфраструктуры", value: 87.17526},
                {title: "Предоставление услуг локомотивной тяги", value: 11.42373},
                {title: "Пассажирские перевозки", value: 7.43097}
        ],
        units: "млрд руб." 
    }
});

buildChart({
    container: "#struktura-rashodov-po-perevozkam-2011", 
    width: 580, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".0%", 
    totalFormat: ",.1f", 
    prefix: "", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Структура расходов по перевозкам \О\А\О «РЖД» в 2011 г.", 
        layers: [ 
                {title: "Затраты на оплату труда и страховые взносы", value: 441.336}, 
                {title: "Остальные материальные затраты", value: 199.652},
                {title: "Амортизация основных фондов", value: 157.62},
                {title: "Электроэнергия", value: 105.08},
                {title: "Топливо", value: 63.048},
                {title: "Прочие расходы", value: 84.064}
        ],
        units: "млрд руб." 
    }
});

buildChart({
    container: "#struktura-rashodov-po-perevozkam-2012", 
    width: 580, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".0%", 
    totalFormat: ",.1f", 
    prefix: "", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Структура расходов по перевозкам \О\А\О «РЖД» в 2012 г.", 
        layers: [ 
                {title: "Затраты на оплату труда и страховые взносы", value: 460.6}, 
                {title: "Остальные материальные затраты", value: 207.27},
                {title: "Амортизация основных фондов", value: 172.725},
                {title: "Электроэнергия", value: 103.635},
                {title: "Топливо", value: 80.605},
                {title: "Прочие расходы", value: 126.665}
        ],
        units: "млрд руб." 
    }
});

buildChart({
    container: "#struktura-dohodov-po-prochih-vidov-dejatelnosti-2012-g", 
    width: 580, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".0%", 
    totalFormat: ",.1f", 
    prefix: "", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Структура доходов по прочих видов деятельности, 2012 г., млрд руб.", 
        layers: [ 
                {title: "Услуги для ФПК", value: 35.8}, 
                {title: "Услуги для ППК", value: 32.2},
                {title: "ТЭО", value: 15.2},
                {title: "Ремонт подвижного состава", value: 14.0},
                {title: "Аренда имущества", value: 12.8},
                {title: "Соц. сфера", value: 9.8},
                {title: "Передача электроэнергии", value: 8.5},
                {title: "Металлолом", value: 7.9},
                {title: "Прочее", value: 23.3}
        ],
        units: "млрд руб." 
    }
});

buildChart({
    container: "#obucheno-rukovoditelej-gruppy", 
    width: 580, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".0%", 
    totalFormat: ",.0f", 
    prefix: "", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Обучено руководителей группы «РЖД», чел.", 
        layers: [ 
                {title: "Москва", value: 4990}, 
                {title: "Филиал в Самаре", value: 443},
                {title: "Филиал в Санкт-Петербурге", value: 303}
        ],
        units: "чел." 
    }
});

buildChart({
    container: "#struktura-vyplat-po-realizacii-kollektivnogo-dogovora", 
    width: 580, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".0%", 
    totalFormat: ",.1f", 
    prefix: "", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Структура выплат по реализации коллективного договора", 
        layers: [ 
                {title: "НПФ «Благосостояние»", value: 24.48}, 
                {title: "Расходы на охрану труда по всем источникам финансирования", value: 16.32},
                {title: "Расходы на содержание НУЗов \О\А\О «РЖД»", value: 12.24},
                {title: "Расходы на ДМС", value: 7.14},
                {title: "Расходы на содержание НОУ (образовательные учреждения)", value: 7.14},
                {title: "Выплата единовременного поощрения за добросовестный труд", value: 5.1},
                {title: "строительство технологического жилья в соответствии \nс инвестпрограммой", value: 5.1},
                {title: "Выплаты ветеранам через БФ «Почет»", value: 4.08},
                {title: "Проезд работников \О\А\О «РЖД» по личным надобностям ", value: 4.08},
                {title: "Иные расходы на проведение учебы, повышение квалификации \nработников", value: 4.08},
                {title: "Отчисление Профсоюзу 0,5 % от ФОТ", value: 3.06},
                {title: "Субсидирование ипотечных кредитов", value: 3.06},
                {title: "Плата за подготовку, переподготовку работников", value: 2.04},
                {title: "Расходы на содержание детских лагерей отдыха", value: 1.02},
                {title: "Расходы на содержание объектов спорта", value: 1.02},
                {title: "Расходы на содержание объектов культуры", value: 1.02}
        ],
        units: "млрд руб." 
    }
});

buildChart({
    container: "#struktura-debitorskoj-zadolzhennosti", 
    width: 580, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".1%", 
    totalFormat: ",.1f", 
    prefix: "", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Структура дебиторской задолженности на 31.12.2012 г., млрд руб.", 
        layers: [ 
                {title: "Авансы выданные", value: 31.746}, 
                {title: "Прочие дебиторы", value: 29.304},
                {title: "Покупатели и заказчики всего\n в т.ч. перевозки ", value: 13.024},
                {title: "Налоги и сборы", value: 6.5934},
                {title: "Расчеты с персоналом", value: 3.256},
                {title: "Социальное страхование и обеспечение", value: 0.407}
        ],
        units: "млрд руб." 
    }
});

buildChart({
    container: "#struktura-kreditorskoj-zadolzhennosti", 
    width: 580, 
    height: 300,
    type: "pie", 
    graphPadding: { 
        top: 40,
        right: 20,
        bottom: 40,
        left: 50
    },
    format: ".0%", 
    totalFormat: ",.1f", 
    prefix: "", 
    centerFontSize: 24, 
    centerColor: "#d55949", 
    sorting: "descending", 
    data: { 
        chartTitle: "Структура кредиторской задолженности на 31.12.12 г., млрд руб.", 
        layers: [ 
                {title: "Поставщики и подрядчики", value: 176.848}, 
                {title: "Предварительная оплата перевозок", value: 69.476},
                {title: "Авансы, полученные\n по прочим операциям", value: 18.948},
                {title: "Задолженность перед персоналом", value: 15.79},
                {title: "Прочая кредиторская задолженность", value: 15.79},
                {title: "Задолженность по налогам и сборам", value: 12.632},
                {title: "Задолженность по социальному\n страхованию и обеспечению", value: 6.316}
        ],
        units: "млрд руб." 
    }
});

buildChart({
    container: "#struktura-passazhirooborota-po-vidam-transporta-obshhego-polzovanija",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Структура пассажирооборота по видам транспорта общего пользования, %",
        categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "Железнодорожный",
            values: [38.1, 42.8, 43.6, 40.0, 39.1, 37.4, 32.5, 31.4, 30.5]
        }, 
        {
            title: "Автомобильный",
            values: [40.9, 35.7, 33.4, 34.5, 33.7, 34.9, 33.0, 31.1, 28.2]
        },
        {
            title: "Воздушный",
            values: [21.0, 21.5, 23.0, 25.2, 27.2, 27.7, 34.5, 37.5, 41.3]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#struktura-gruzooborota-po-vidam-transporta",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Структура грузооборота по видам транспорта, млрд ткм",
        categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "Железнодорожный",
            values: [39.5, 39.7, 40.6, 42.5, 42.8, 42.0, 42.3, 42.3, 44.0]
        }, 
        {
            title: "Трубопроводный",
            values: [53.0, 52.9, 52.1, 50.1, 49.8, 50.5, 50.1, 49.3, 48.5]
        },
        {
            title: "Автомобильный",
            values: [4.0, 4.2, 4.2, 4.3, 4.3, 4.0, 4.2, 4.5, 4.9]
        },
        {
            title: "Прочие",
            values: [3.5, 3.2, 3.1, 3.1, 3.1, 3.5, 3.4, 2.9, 2.6]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#struktura-gruzhenogo-gruzooborota",
    width: 650,
    height: 320,
    type: "stack",
    showPercents: false,
    data: {
        chartTitle: "Структура груженого грузооборота, %",
        categories: ["2012", "2011", "2010", "2009"],
        layers: [{
            title: "Внутренние",
            values: [44.1, 45.0, 45.3, 44.6]
        }, 
        {
            title: "Импорт",
            values: [4.9, 5.0, 4.6, 3.5]
        },
        {
            title: "Экспорт",
            values: [48.4, 47.6, 47.9, 49.9]
        },
        {
            title: "Транзит",
            values: [2.6, 2.4, 2.2, 2.0]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#doli-obemov-po-klassam-gruzov",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Доли объемов по классам грузов, %",
        categories: ["2012", "2011", "2010", "2009"],
        layers: [{
            title: "1 класс",
            values: [761.928, 733.401, 702.399, 652.612]
        }, 
        {
            title: "2 класс",
            values: [349.800, 343.537, 344.241, 314.672]
        },
        {
            title: "3 класс",
            values: [160.272, 165.062, 159.361, 140.716]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#doli-dohodov-po-klassam-gruzov",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Доли доходов по классам грузов, %",
        categories: ["2012", "2011", "2010", "2009"],
        layers: [{
            title: "1 класс",
            values: [369.171, 306.918, 292.032, 267.003]
        }, 
        {
            title: "2 класс",
            values: [458.469, 429.284, 394.992, 316.332]
        },
        {
            title: "3 класс",
            values: [261.360, 266.798, 248.976, 199.665]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#struktura-rossijskogo-rynka-operirovanija-gruzovymi-vagonami-po-obemam-perevozok",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Структура российского рынка оперирования грузовыми вагонами по объемам перевозок, млрд ткм",
        categories: ["2003", "2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "\О\А\О «РЖД» (без дочерних обществ)",
            values: [71.3, 68.5, 66.0, 64.0, 60.3, 49.7, 33.8, 25.5, 10.2, 5.4]
        }, 
        {
            title: "Дочерние и зависимые общества \О\А\О «РЖД»",
            values: [28.7, 31.5, 34.0, 35.0, 38.5, 41.0, 46.1, 50.6, 59.9, 78.6]
        },
        {
            title: "Иные собственники",
            values: [0, 0, 0, 1.0, 1.2, 9.3, 20.1, 23.9, 30.7, 16.0]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#struktura-parka-gruzovyh-vagonov",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Структура парка грузовых вагонов, тыс. ед.",
        categories: ["2012", "2011", "2010", "2009"],
        layers: [{
            title: "Группа «РЖД»",
            values: [259.5264,  488.0346,  517.827, 576.2939]
        }, 
        {
            title: "Независимые частные собственники",
            values: [899.0736,  603.7654,  507.573, 415.6061]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#struktura-parka-tjagovogo-podvizhnogo-sostava",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Структура парка тягового подвижного состава, ед.",
        categories: ["2012", "2011", "2010", "2009"],
        layers: [{
            title: "Пассажирские электровозы",
            values: [2543, 2483, 2473, 2409]
        }, 
        {
            title: "Пассажирские тепловозы",
            values: [578, 562, 547, 536]
        },
        {
            title: "Грузовые электровозы",
            values: [7837, 7691, 7535, 7414]
        },
        {
            title: "Грузовые тепловозы",
            values: [3556, 3550, 3656, 3750]
        },
        {
            title: "Маневровые тепловозы",
            values: [6104, 6106, 6016, 5989]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#kolichestvo-passazhirov-zheleznodorozhnogo-transporta",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Количество пассажиров железнодорожного транспорта, млн чел.",
        categories: ["2012", "2011", "2010", "2009", "2008"],
        layers: [{
            title: "Пригородное сообщение",
            values: [942.332, 877.9004,  831.9735,  1019.7993, 1159.383]
        }, 
        {
            title: "Дальнее следование",
            values: [116.468, 115.1996,  114.5265,  117.1007,  136.017]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#passazhirooborot-zheleznodorozhnogo-transporta",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Пассажирооборот железнодорожного транспорта, млрд пасс-км",
        categories: ["2012", "2011", "2010", "2009", "2008"],
        layers: [{
            title: "Дальнее следование",
            values: [113.0772,  110.442, 110.8422,  113.322, 129.2865]
        }, 
        {
            title: "Пригородное сообщение",
            values: [31.5228, 29.358,  28.0578, 38.178,  46.6135]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#protjazhennost-uchastkov-po-ogranichivajushhim-jelementam",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Протяженность участков по ограничивающим элементам, км",
        categories: ["2005", "2006", "2007", "2008", "2009", "2010", "2011"],
        layers: [{
            title: "Перегоны",
            values: [3729, 3357, 2877, 3940, 3027, 3552, 2479]
        }, 
        {
            title: "Станции",
            values: [3155, 1997, 1697, 665, 621, 1021, 560]
        },
        {
            title: "Электроснабжение",
            values: [2593, 3442, 3887, 1151, 1850, 1809, 2810]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});


buildChart({
    container: "#analiz-sostojanija-sistem-jelektricheskoj-centralizacii-po-srokam-sluzhby-na-seti-zheleznyh-dorog",
    width: 650,
    height: 200,
    type: "stack",
    data: {
        chartTitle: "Анализ состояния систем электрической централизации по срокам службы на сети железных дорог, тыс. стр.",
        categories: ["2012", "2011"],
        layers: [{
            title: "Менее 15 лет",
            values: [23.0, 24.2]
        }, 
        {
            title: "16-20 лет",
            values: [6.2, 6.0]
        },
        {
            title: "21-25 лет",
            values: [10.2, 11.6]
        },
        {
            title: "26-30 лет",
            values: [15.2, 14.5]
        },
        {
            title: "31-35 лет",
            values: [15.6, 15.4]
        },
        {
            title: "36-40 лет",
            values: [15.3, 14.9]
        },
        {
            title: "Более 40 лет",
            values: [14.7, 13.4]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#uslugi-infrastruktury",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Услуги инфраструктуры",
        categories: ["2012", "2011"],
        layers: [{
            title: "Грузовые перевозки",
            values: [6, 1]
        }, 
        {
            title: "Пригородное сообщение",
            values: [27.3, 25.6]
        },
        {
            title: "Дальнее следование",
            values: [63.4, 60.6]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});


buildChart({
    container: "#kolichestvo-obrashhenij-v-otnoshenii-postavljaemoj-produkcii",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Количество обращений в отношении поставляемой продукции, ед.",
        categories: ["2012", "2011"],
        layers: [{
            title: "Обращения по качеству",
            values: [328, 414]
        }, 
        {
            title: "Обращения по количеству",
            values: [82, 138]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#struktura-dohodov",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Cтруктура доходов",
        categories: ["2012", "2011"],
        layers: [{
            title: "Грузовые перевозки",
            values: [1089.3, 1003.1]
        }, 
        {
            title: "Предоставление услуг инфраструктуры",
            values: [96.7, 87.2]
        },
        {
            title: "Предоставление услуг локомотивной тяги",
            values: [12.4, 11.4]
        },
        {
            title: "Пассажирские перевозки",
            values: [8.1, 7.4]
        },
        {
            title: "Доходы от прочих видов деятельности",
            values: [159.5, 179.2]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#struktura-rashodov",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Cтруктура расходов",
        categories: ["2012", "2011"],
        layers: [{
            title: "Грузовые перевозки",
            values: [1017.4, 933.2]
        }, 
        {
            title: "Предоставление услуг инфраструктуры",
            values: [118.8, 102.2]
        },
        {
            title: "Предоставление услуг локомотивной тяги",
            values: [9.2, 8.4]
        },
        {
            title: "Пассажирские перевозки",
            values: [6.2, 7.0]
        },
        {
            title: "Расходы от прочих видов деятельности",
            values: [147.1, 164.7]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#grafik-pogashenija-zaemnyh-objazatelstv",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "График погашения заемных обязательств, млрд руб.",
        categories: ["2010", "2011", "2012", "2013", "2014", "2015", "2016", "2017", "2018", "2019", "2020", "2022", "2031"],
        layers: [{
            title: "Оферта по рублевым облигациям",
            values: [27, 31, 10, 15, 15, 15, 30, 0, 10, 0, 0, 10, 0]
        }, 
        {
            title: "Плановое погашение заемных средств",
            values: [83, 55, 153, 53, 56, 31, 15, 47, 1, 39, 1, 43, 32]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#struktura-dolgovogo-portfelja",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Структура долгового портфеля, млрд руб.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "Рублевые облигации",
            values: [41, 44, 63]
        }, 
        {
            title: "Еврооблигация",
            values: [38, 21, 15]
        },
        {
            title: "Синдицированные кредиты",
            values: [1, 3, 8]
        },
        {
            title: "Проектное финансирование",
            values: [6, 8, 11]
        },
        {
            title: "Двухсторонние банковские кредиты",
            values: [14, 24, 3]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#dinamika-kreditnogo-portfelja-po-srokam",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Динамика кредитного портфеля \О\А\О «РЖД», млрд руб. по срокам",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "До 1 года",
            values: [16, 39, 28]
        }, 
        {
            title: "От 1 года до 3 лет",
            values: [29, 32, 30]
        },
        {
            title: "Более 3 лет",
            values: [55, 29, 42]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#dinamika-kreditnogo-portfelja-po-valjutam",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Динамика кредитного портфеля \О\А\О «РЖД», млрд руб. по валютам",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "Валюта",
            values: [39, 30, 30]
        }, 
        {
            title: "Рубли",
            values: [61, 70, 70]
        },
        ],
        noteMarks: ["*"],
        notes: ["Данные на основе управленческой отчетности ОАО «РЖД» (с учетом оферт и без учета начисленных процентов)"],
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#dinamika-proizvodstvennogo-travmatizma",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Динамика производственного травматизма",
        categories: ["2003", "2004","2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "Всего подтрадавших",
            values: [1123, 1049, 922, 757, 751, 649, 620, 534, 418, 358]
        }, 
        {
            title: "В том числе со смертельным исходом",
            values: [146, 106, 98, 96, 95, 80, 78, 73, 68, 50]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#chislennost-rabotnikov-po-kategorijam-personala",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Численность работников \О\А\О «РЖД» по категориям персонала, тыс. чел.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "Рабочие",
            values: [67.8, 68.1, 68.6]
        }, 
        {
            title: "Руководители",
            values: [6.9, 6.9, 6.9]
        },
        {
            title: "Служащие",
            values: [3.4, 3.5, 3.7]
        },
        {
            title: "Специалисты",
            values: [21.9, 21.5, 21.9]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#dvizhenie-personala",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Движение персонала, тыс. чел.",
        categories: ["2010", "2011", "2012"],
        layers: [{
            title: "Уволено из компании",
            values: [213.9, 151.2, 119.0]
        }, 
        {
            title: "Принято на работу",
            values: [111.6, 117.9, 111.9]
        },
        {
            title: "Переведено внутри компании",
            values: [476.7, 516.7, 436.5]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#vozrastnaja-struktura-spisochnogo-sostava",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Возрастная структура списочного состава, %, тыс. чел.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "До 30",
            values: [28.3, 28.0, 26.9]
        }, 
        {
            title: "31-35",
            values: [13.5, 13.2, 13.3]
        },
        {
            title: "36-45",
            values: [24.9, 24.6, 24.6]
        },
        {
            title: "46-50",
            values: [12.2, 13.1, 14.4]
        },
        {
            title: "Старше 50",
            values: [21.2, 21.1, 20.8]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#gendernyj-sostav",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Гендерный состав, %, тыс. чел.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "Женщины",
            values: [30.3, 30.4, 30.8]
        }, 
        {
            title: "Мужчины",
            values: [69.7, 69.6, 69.2]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#uroven-obrazovanija-sotrudnikov",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Уровень образования сотрудников, %",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "Доля работников с высшим образованием",
            values: [23.4, 22.2, 20.9]
        }, 
        {
            title: "Доля работников со средним профессиональным образованием",
            values: [25.9, 25.7, 25.5]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#podgotovka-i-povyshenie-kvalifikacii-rabochih-kadrov",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Подготовка и повышение квалификации рабочих кадров, тыс. чел.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "Подготовлено",
            values: [63.1, 60.0, 54.7]
        }, 
        {
            title: "Повысило квалификацию",
            values: [152.4, 140.0, 132.7]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#chislo-detej-ozdorovlennyh-na-chernomorskom-poberezhe",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Число детей, оздоровленных на черноморском побережье, тыс. чел.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "Количество оздоровленных детей на Черноморском побережье в здравницах \О\А\О «РЖД»",
            values: [4.8, 4.3, 6.0]
        }, 
        {
            title: "Количество оздоровленных детей на Черноморском побережье в сторонных здравницах",
            values: [8.5, 9.1, 8.0]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#srednij-razmer-dopolnitelnoj-pensii",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Средний размер дополнительной пенсии, руб.",
        categories: ["2004","2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "Средний размер негосударственной пенсии (без увеличения)",
            values: [1450.0, 1652.0, 1768.0, 2251.9, 2584.8, 3332.6, 3869.8, 4470.1, 4774.1]
        }, 
        {
            title: "Размер увеличения пенсии за год",
            values: [0, 233.0, 221.0, 153.1, 152.0, 166.5, 159.7, 290.4, 346.4]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#kreditorskaja-zadolzhennost",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Кредиторская задолженность, млрд руб.",
        categories: ["на 31.12.2012", "на 30.09.2012", "на 30.06.2012", "на 31.12.2011"],
        layers: [{
            title: "Кредиторская задолженность перед поставщиками и подрядчиками",
            values: [177.5, 126.0, 114.7, 152.5]
        }, 
        {
            title: "Прочая кредиторская задолженность",
            values: [138.3, 111.5, 116.3, 146.9]
        },
        {
            title: "Период оборота, дни",
            values: [34.4, 45.5, 51.3, 38.1]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#jekspluatacionnaja-dlina",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Эксплуатационная длина, тыс. км",
        categories: ["ЕС","США (1 кл.)", "Китай", "Россия", "Индия", "Канада", "Япония (ГЯЖД)"],
        layers: [{
            title: "",
            values: [215.1, 194.1, 91.2, 85.2, 64.0, 36.3, 20.1]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#park-lokomotivov",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Парк локомотивов, шт.",
        categories: ["ЕС","США", "Россия", "Китай" ,"Индия"],
        layers: [{
            title: "",
            values: [24583, 23893, 20227, 17825, 8286]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#gruzooborot",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Грузооборот, млрд. ткм",
        categories: ["Китай", "США(1 кл.)", "Россия", "Индия", "ЕС"],
        layers: [{
            title: "",
            values: [2562.6, 2524.6, 2127.2, 600.5, 325.6]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#protjazhennost-jelektrificirovannyh-linij",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Протяженность электрифицированных линий, тыс. км",
        categories: ["ЕС", "Китай", "Россия", "Индия", "Япония (ГЯЖД)",],
        layers: [{
            title: "",
            values: [112.1, 48, 43.2, 18.9, 12.2]
        }, 
        ],
        noteMarks: ["2"],
        notes: ["Данные по Китаю за 2012 год"],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#passazhirooborot-mlrd",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Пассажирооборот, млрд. пасс.-км",
        categories: ["Индия", "Китай", "ЕС", "Япония (ГЯЖД)", "Россия"],
        layers: [{
            title: "",
            values: [903.5, 815.7, 397.8, 244.6, 139.8]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#park-passazhirskih-vagonov",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Парк пассажирских вагонов, шт.",
        categories: ["ЕС", "Китай", "Индия", "Россия", "Япония (ГЯЖД)"],
        layers: [{
            title: "",
            values: [94598, 47436, 45095, 26799, 23937]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#tempy-rosta-mirovoj-torgovli",
    width: 650,
    height: 320,
    type: "group",
    orientation: "vertical",
    data: {
        chartTitle: "Темпы роста мировой торговли в 2000–2012 гг., % к предыдущему году",
        categories: ["2000", "2001", "2002", "2003", "2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "",
            values: [11.9, 0.3, 4.0, 5.8, 10.8, 7.7, 9.2, 8.0, 3.1, -10.6, 12.6, 6.0, 2.5]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#prirost-makrojekonomicheskih-pokazatelej-rossii",
    width: 650,
    height: 420,
    type: "stack",
    orientation: "horizontal",
    data: {
        chartTitle: "Прирост макроэкономических показателей России в 2011–2012 гг., % к предыдущему году",
        categories: ["ВВП", "Объем промышленного производства", "Инвестиции в основной капитал", "Продукция сельского хозяйства", "Оборот розничной торговли", "Экспорт", "Импорт", "Потребительская инфляция", "Цены в промышленности", "Реальные располагаемые денежные доходы", "Реальная начисленная заработная плата"],
        layers: [{
            title: "2011",
            values: [4.3, 4.7, 10.8, 23.0, 7.0, 31.3, 29.7, 6.1, 12.0, 0.5, 2.8]
        }, 
        {
            title: "2012",
            values: [3.4, 2.6, 6.6, 4.7, 5.9, 2.4, 5.4, 6.6, 5.1, 4.4, 8.4]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#izmenenie-transportnoj-sostavljajushhej-pri-perevozke-gruzov",
    width: 650,
    height: 440,
    type: "stack",
    orientation: "horizontal",
    data: {
        chartTitle: "Изменение транспортной составляющей при перевозке грузов в 2012 г. \n(расчет по тарифу парка грузовых вагонов \О\А\О «РЖД»)",
        categories: ["Уголь энергетический", "Уголь коксующийся", "Нефть сырая", "Дизельное топливо", "Мазут", "Руда железная", "Чугун", "Алюминий", "Лес круглый", "Цемент", "Удобрения азотные", "Зерно"],
        layers: [{
            title: "2003",
            values: [32.3, 23.1, 21.7, 8.0, 25.6, 24.0, 9.2, 3.6, 29.7, 12.7, 10.8, 11.9]
        }, 
        {
            title: "2012",
            values: [34.0, 19.3, 16.5, 6.6, 13.0, 15.2, 8.3, 5.5, 29.0, 14.9, 10.4, 9.4]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#dinamika-izmenenij-gruzooborota-po-vidam-transporta",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Динамика изменений грузооборота по видам транспорта, 2012 г. к 2011 г., %",
        categories: ["Автомобильный", "Железнодорожный", "Воздушный", "Трубопроводный", "Водный"],
        layers: [{
            title: "",
            values: [11.3, 4.4, 2.2, 1.0, 8.1]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#gruzooborot-s-uchetom-porozhnego-probega-vagonov-inyh-sobstvennikov",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Грузооборот (с учетом порожнего пробега вагонов иных собственников), млрд ткм",
        categories: ["2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "Грузооборот млрд ткм",
            values: [2044, 2148, 2313, 2424, 2271, 2502, 2705, 2783]
        }, 
        {
            title: "Темп прироста грузооборота, % к предыдущему году",
            values: [3.6, 5.1, 7.7, 4.8, 6.3, 10.1, 8.1, 2.9]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#gruzooborot-bez-ucheta-porozhnego-probega-vagonov-inyh-sobstvennikov",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Грузооборот (без учета порожнего пробега вагонов иных собственников), млрд ткм",
        categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "Грузооборот млрд ткм",
            values: [1802, 1858, 1951, 2090, 2116, 1865, 2011, 2128, 2222]
        }, 
        {
            title: "Темп прироста грузооборота, % к предыдущему году",
            values: [8.0, 3.1, 5.0, 7.2, 1.2, 11.9, 7.8, 5.8, 4.4]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});


buildChart({
    container: "#dinamika-obemov-pogruzki",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Динамика объемов погрузки в 2004–2012 гг.",
        categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "Абсолютный объем погрузки, млн т",
            values: [1221, 1273, 1311, 1344, 1304, 1108, 1206, 1242, 1271.9]
        }, 
        {
            title: "Темп прироста погрузки, % к предыдущему году",
            values: [5.2, 4.3, 3.0, 2.5, 3.5, 15.0, 8.8, 3.0, 2.4]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#dinamika-srednesutochnoj-pogruzki",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Динамика среднесуточной погрузки в 2012 г., тыс. т",
        categories: ["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"],
        layers: [{
            title: "Среднесуточная погрузка, тыс. т",
            values: [3275, 3343, 3483, 3546, 3525, 3553, 3518, 3515, 3544, 3586, 3540, 3273]
        }, 
        {
            title: "Изменение среднесуточной погрузки, % к предыдущему году",
            values: [4.7, 0.7, 3.2, 2.9, 2.9, 2.9, 2.9, 3.4, 3.6, 1.2, 1.5, 3.8]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});


buildChart({
    container: "#dolja-razlichnyh-kategorij-gruzov-v-obshhej-pogruzke",
    width: 580,
    height: 400,
    type: "stack",
    orientation: "horizontal",
    data: {
        chartTitle: "Доля различных категорий грузов в общей погрузке, %",
        categories: ["Каменный уголь", "Нефть", "Руда железная", "черные металлы", "Лесные грузы", "Строительные", "Удобрения"],
        layers: [{
            title: "2010",
            values: [23.7, 21.0, 8.5, 6.0, 3.4, 11.8, 3.8]
        }, 
        {
            title: "2011",
            values: [23.9, 20.1, 8.9, 5.9, 3.3, 12.7, 3.7]
        },
        {
            title: "2012",
            values: [24.2, 20.3, 8.7, 5.8, 2.9, 14.2, 3.6]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#izmenenija-rossijskogo-parka-gruzovyh-vagonov",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Изменения российского парка грузовых вагонов, тыс. ед.",
        categories: ["Полувагоны", "Цистерны", "Платформы", "Крытые", "Прочие"],
        layers: [{
            title: "2009",
            values: [368, 240, 66, 75, 236]
        }, 
        {
            title: "2010",
            values: [410, 250, 65, 76, 216]
        },
        {
            title: "2011",
            values: [474, 266, 56, 72, 215]
        },
        {
            title: "2012",
            values: [530, 278, 55, 70, 218]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#obnovlenie-parka-tjagovogo-podvizhnogo-sostava",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Обновление парка тягового подвижного состава, ед.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [532, 453, 393]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#otremontirovano-lokomotivov",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Отремонтировано локомотивов, ед.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [2056, 2125, 1928]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#protjazhennost-linij-oborudovannyh-avtoblokirovkoj-i-dispetcherskoj-centralizaciej",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Протяженность линий, оборудованных автоблокировкой и диспетчерской централизацией",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "Протяженность, км",
            values: [60922, 61896, 62295]
        }, 
        {
            title: "Доля от эксплуатационной длины железных дорог, %",
            values: [71.7, 72.8, 73.1]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#kolichestvo-narushenij-bezopasnosti-dvizhenija-poezdov",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Количество нарушений безопасности движения поездов, событий",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [19, 19, 26]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#dohody-ot-prodazhi-nedvizhimosti",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Доходы от продажи недвижимости \О\А\О «РЖД», млрд руб.",
        categories: ["2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "",
            values: [0.24, 0.84, 11.96, 5.53, 1.36, 1.38, 1.31, 1.80]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#dohody-ot-sdachi-nedvizhimogo-imushhestva-kompanii-v-arendu",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Доходы от сдачи недвижимого имущества компании в аренду, млрд руб.",
        categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "",
            values: [3.5, 3.6, 4.4, 5.8, 6.1, 7.9, 7.4, 7.3, 7.9]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#dohody-ot-perevozok-za-period",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Доходы от перевозок за период 2007–2012 гг.",
        categories: ["2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "",
            values: [884.3, 1014.5, 956.8, 1079.3, 1109.1, 1206.5]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#analiz-rosta-sebestoimosti-perevozok",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Анализ роста себестоимости перевозок, ИПЦ, ИЦП к предыдущему году, %",
        categories: ["2010", "2011", "2012"],
        layers: [{
            title: "ИПЦ",
            values: [6.9, 8.4, 5.1]
        }, 
        {
            title: "ИПЦ промышленной продукции",
            values: [14.9, 17.3, 6.8]
        },
        {
            title: "Рост себестоимости перевозок ( коп./10 прив. ткм) в сопоставимых условиях",
            values: [5.0, 6.9, 3.2]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#dinamika-dohodov-ot-prochih-vidov-dejatelnosti",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Динамика доходов от прочих видов деятельности, млрд руб.",
        categories: ["Факт 2011 г.", "Факт 2011 г. (в сопоставимых условиях)", "План 2012 г.", "Факт 2012 г."],
        layers: [{
            title: "Доходы",
            values: [179.2, 149.1, 153.2, 159.5]
        },
        {
            title: "Расходы",
            values: [164.7, 138.7, 141.2, 147.1]
        }, 
        {
            title: "Прибыль",
            values: [14.5, 10.4, 12.0, 12.5]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#pribyl-ot-prodazhi-akcij",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Прибыль от продажи акций, млрд руб.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [33.9, 66.3, 6.9]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});


buildChart({
    container: "#pribyl-ot-vnesenija-imushhestva",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Прибыль от внесения имущества, млрд руб.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [1.5, 26.4, 14.1]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#bjudzhetnoe-finansirovanie-i-subsidii",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Бюджетное финансирование и субсидии, млрд руб.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [23.2, 1.9, 54.2]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#kursovye-raznicy",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Курсовые разницы, млрд руб.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [4.5, -6.4, 0.9]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#rentabelnost",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Рентабельность СК, ROE",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [0.4, 0.5, 2.5]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#obshhij-dolg",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Общий долг/EBITDA",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [1.6, 1.4, 0.92]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#rentabelnost-aktivov-ROA",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Рентабельность активов, ROA",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [0.3, 0.4, 2.1]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#rentabelnost-dejatelnosti",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Рентабельность деятельности",
        categories: ["2009", "2010", "2011", "2012"],
        layers: [{
            title: "Рентабельность прожаж",
            values: [1.4, 6.3, 1.3, 1.0]
        },
        {
            title: "Рентабельность по чистой прибыли",
            values: [5.0, 9.3, 5.6, 4.9]
        },  
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#finansovyj-rychag",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Финансовый рычаг",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [0.12, 0.11, 0.10]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.2f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#rashody-na-meroprijatija-po-ohrane-truda",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Расходы на мероприятия по охране труда",
        categories: ["2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "Расходы на мероприятия по охране труда на одного работника, руб.",
            values: [5500, 5800, 6400, 7600, 7600, 11500, 11117, 14700]
        },
        {
            title: "Расходы на мероприятия по охране труда, млн руб.",
            values: [6417, 5844, 7582, 8631, 7761, 9526, 12800, 12676]
        },  
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#srednij-vozrast-sotrudnikov",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Средний возраст сотрудников, лет",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [39.3, 39.5, 39.7]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#uroven-tekuchesti-personala",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Уровень текучести персонала, %",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [8.3, 8.8, 9.0]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#ukomplektovannost-shtata",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Укомплектованность штата, %",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [97.7, 98.1, 98.2]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#obshhee-kolichestvo-nagrazhdennyh",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Общее количество награжденных",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [9642, 8580, 7745]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#srednemesjachnaja-zarabotnaja-plata-rabotnikov-zanjatyh-vo-vseh-vidah-dejatelnosti",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Среднемесячная заработная плата работников, занятых во всех видах деятельности, руб",
        categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "Среднемесячная заработная \nплата работников, руб.",
            values: [10331, 12081, 14043, 16932, 21738, 24604, 28930, 33106, 35697]
        },
        {
            title: "Увеличение заработной платы в реальном \nисчислении (с учетом инфляции)",
            values: [0, 3.8, 6.0, 10.6, 12.5, 1.3, 10.0, 5.6, 2.3]
        },  
        ],
        noteMarks: ["1"],
        notes: ["Прирост указан в сопоставимых условиях."],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#obuchenie-po-programmam-mva-v-rossijskih-biznes-shkolah",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Обучение по программам МВА в российских бизнес-школах, чел.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [160, 106, 119]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#kratkosrochnoe-povyshenie-kvalifikacii-s-vyezdom-za-rubezh",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Краткосрочное повышение квалификации с выездом за рубеж, чел.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [586, 462, 235]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});


buildChart({
    container: "#ochnoe-obuchenie-anglijskomu-nemeckomu-i-francuzskomu-jazykam-na-baze-english-first-i-MIIT",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Очное обучение английскому, немецкому и французскому языкам на базе English First и МИИТ, чел.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [114, 123, 107]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#distancionnoe-obuchenie-anglijskomu-jazyku-na-baze-english-first",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Дистанционное обучение английскому языку на базе English First, чел.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [1000, 650, 20]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});


buildChart({
    container: "#obucheno-rukovoditelej-gruppy-rzhd-chel",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Обучено руководителей группы «РЖД», чел.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [5736, 2380, 1572]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#vydacha-subsidiruemyh-ipotechnyh-kreditov-i-bezvozmezdnyh-ssud",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Выдача субсидируемых ипотечных кредитов и безвозмездных ссуд, чел.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [2522, 2514, 2761]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#specializirovannyj-zhiloj-fond",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Специализированный жилой фонд \О\А\О «РЖД», м",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [821.4, 771.7, 701.8]
        }, 
        ],
        noteMarks: ["2"],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#investicii-v-formirovanie-specializirovannogo-zhilogo-fonda",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Инвестиции в формирование специализированного жилого фонда \О\А\О «РЖД», млн руб.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [2871, 3325, 3284]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.0f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#chislo-detej-otdohnuvshih-v-detskih-ozdorovitelnyh-lagerjah-dorozhnogo-podchinenija",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Число детей, отдохнувших в детских оздоровительных лагерях дорожного подчинения, тыс. чел.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [48.8, 47.4, 47.5]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});


buildChart({
    container: "#kompensacija-zatrat-na-detskuju-ozdorovitelnuju-kampaniju-ot-subektov",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Компенсация затрат на детскую оздоровительную кампанию от субъектов РФ, тыс. руб. на одного ребенка",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [4.01, 3.55, 2.51]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#chislo-uchastnikov-vkladchikov-pensionnogo-fonda",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Число участников-вкладчиков пенсионного фонда, тыс. чел.",
        categories: ["2012", "2011", "2010"],
        layers: [{
            title: "",
            values: [654.4, 707.7, 650.6]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#chislo-ljudej-poluchajushhih-pensiju",
    width: 650,
    height: 320,
    type: "stack",
    orientation: "vertical",
    data: {
        chartTitle: "Число людей, получающих пенсию, тыс. чел.",
        categories: ["2004", "2005", "2006", "2007", "2008", "2009", "2010", "2011", "2012"],
        layers: [{
            title: "",
            values: [70.0, 94.0, 126.2, 147.6, 170.3, 197.4, 220.1, 237.9, 250.0]
        }, 
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#debitorskaja-zadolzhennosti",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Дебиторская задолженности, млрд руб",
        categories: ["на 31.12.2012", "на 30.09.2012", "на 30.06.2012", "на 31.12.2011"],
        layers: [{
            title: "Всего дебиторская задолженность",
            values: [12.8, 30.6, 30.2, 19.0]
        }, 
        {
            title: "Дебиторская задолженность по продажам",
            values: [68.6, 70.3, 83.5, 67.0]
        },
        {
            title: "Период оборота по продажам, дни",
            values: [3.0, 6.1, 5.8, 4.7]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

buildChart({
    container: "#kojefficienty-likvidnosti",
    width: 650,
    height: 320,
    type: "stack",
    data: {
        chartTitle: "Коэффициенты ликвидности",
        categories: ["2009", "2010", "2011", "2012"],
        layers: [{
            title: "Коэффициент абсолютной ликвидности",
            values: [0.1, 0.2, 0.4, 0.3]
        }, 
        {
            title: "Коэффициент срочной ликвидности",
            values: [0.4, 0.5, 0.6, 0.4]
        },
        {
            title: "Коэффициенты текущей ликвидности",
            values: [0.5, 0.7, 0.8, 0.6]
        },
        ],
        notes: [""],
        source: [""]
    },
    format: ",.1f",
    modalContainer: ".big-chart"
});

})();